/* REXX */
 
parse source OS .
if OS <> "OS/2" then exit
 
if date( S ) > 20000101 then exit
 
call RxFuncAdd SysLoadFuncs, RexxUtil, SysLoadFuncs
call SysLoadFuncs
 
rc = SysCurState( off )
rc = SysCls()
 
say "Y2K.CMD  1.4                           (C) Copyright IBM Corporation 1996."
say "Countdown to Year 2000                     All rights reserved."
say
 
today = left( date( "W" ), 3 ) date() right( time(), 8 )
if length( today ) = 24 then
   say "Sat 01 Jan 2000 00:00:00"
else
   say "Sat 1 Jan 2000 00:00:00"
rowcol = SysCurPos()
parse var rowcol row col
rc = SysCurPos( 23, 1 )
say "Press Enter to exit..."
 
do forever
  rc = SysCurPos( row, col )
  say left( date( "W" ), 3 ) date() right( time(), 8 )
  say
  DaysRemaining = 730119 - ( date( "B" ) + ( time( "S" ) / ( 24*60*60 ) ))
               /* 730119 is base date of 01 Jan 2000 */
  say format( DaysRemaining / 365   , 6, 2 ) "years"
  say format( DaysRemaining / 30.42 , 6, 2 ) "months"
  say format( DaysRemaining / 7     , 6, 2 ) "weeks"
  say format( DaysRemaining         , 6, 2 ) "days"
  if chars() > 0 then do
     char = CharIn()
     rc = SysCls()
     exit 0
  end
  rc = SysSleep( 1 )
end
 
